/*
 * Copyright 2015 - 2025 gary@drinkingtea.net
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#include <ox/std/hashmap.hpp>

#include <ox/model/modelvalue.hpp>

namespace ox {

static_assert([]() -> Error {
	ModelValue v;
	OX_RETURN_ERROR(v.setType<int32_t>());
	if (v.type() != ModelValue::Type::SignedInteger32) {
		return Error(1, "type is wrong");
	}
	//oxReturnError(v.set<int32_t>(5));
	return {};
}() == Error{});

// a dummy function to prevent linker errors in a library that has no other symbols
void modelDummyFunc() noexcept {}

}
